Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Problem with RAP 1.5 App and Maven(Maven built war vs Ant built war)
Problem with RAP 1.5 App and Maven [message #1046910] Mon, 22 April 2013 14:28 Go to next message
Cristian Ionitoiu is currently offline Cristian IonitoiuFriend
Messages: 3
Registered: April 2013
Junior Member
Hi,

I've been trying the last days to solve what I believe is a dependency issue without great success. The situation is very strange. I'll try to describe it as well as I can.
I am working on a 1.5 Rap application made from 7 projects (6 plugins and 1 feature). The application was initially built over Ant (I can provide the scripts) using pdeExportFeatures Ant task. The Ant war deploys fine and all functionality of the application is available.
Then, I ported all these projects to Maven with the help of a parent project using tycho. The feature project is the one that actually assembles the war (also I can provide pom details). The model I used is the following example(github.com/hstaudacher/org.eclipse.rap.build.examples/tree/master/tycho with https in front). The Maven built war is deployed on tomcat 6 (in both cases in fact) but a key functionality of the application is not working - a google vizualization based code, actually trying to launch that functionality blocks the entire application and tomcat too. I have no exceptions in the tomcat normal logs. Moreover the apache logging tracking is the same for both cases, ant and maven, even line numbers match. I compared the two wars and they are similar, meaning that all files are either identical, or in case of some plugins the maven war contains apparently newer versions - but both wars contain same list of plugins.
However, there is a difference. If I look into the working logs of Tomcat (work/Catalina/localhost/app_name/eclipse/workspace/.metadata) there I do have some class not found exceptions that do not appear when the Ant built war is deployed and executed. However, all these classes do exist in the included dependencies/plugins (see exception1.txt file for more details). I do not understand why Maven messes up this war.
When Maven builds the war it does show two errors which I do not know if they are related or not to the problem described above (please see exception2.txt for details).
Any suggestions or advices are very welcome. Thanks a lot.

Re: Problem with RAP 1.5 App and Maven [message #1047076 is a reply to message #1046910] Mon, 22 April 2013 19:05 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf SternbergFriend
Messages: 1291
Registered: July 2009
Senior Member

Hi Christian,

the issue may be caused by the differing versions in the two builds.
Apparently, the class AbstractWidgetLCA is expected in the package
org.eclipse.rap.rwt.lifecycle. In RAP 1.5, the package name was missing
the "rap" segment (only org.eclipse.rwt.lifecycle). That could be the
reason for the ClassNotFoundException.

HTH, Ralf

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Problem with RAP 1.5 App and Maven [message #1047504 is a reply to message #1047076] Tue, 23 April 2013 09:49 Go to previous messageGo to next message
Cristian Ionitoiu is currently offline Cristian IonitoiuFriend
Messages: 3
Registered: April 2013
Junior Member
Hi Ralf,

I think you are right, I haven't notice the "rap" extra package name. And I think this problems comes from my Maven repositories. I need to use google vizualization and draw2d packages in my application, so I used the rap incubator - which now I realize it might be for RAP 2.0 (where this change in package path appears). These are my repositories
<repositories>
<!-- add Juno repository to resolve dependencies -->
<repository>
<id>Juno</id>
<layout>p2</layout>
<url>http://download.eclipse.org/releases/juno/</url>
</repository>
<repository>
<id>orbit</id>
<layout>p2</layout>
<url>http://download.eclipse.org/tools/orbit/downloads/drops/R20120526062928/repository/</url>
</repository>
<!-- <repository>
<id>Rap Incubator Vizualization</id>
<layout>p2</layout>
<url>http://download.eclipse.org/rt/rap/incubator/nightly/visualization/</url>
</repository>
<repository>
<id>Rap Incubator Gef</id>
<layout>p2</layout>
<url>http://download.eclipse.org/rt/rap/incubator/nightly/gef/</url>
</repository>-->
</repositories>

I cannot find a RAP 1.5 incubator. Do you know how should I configure tycho for RAP 1.5? Also, building the example I quoted initially when maildemo.war is created in the target directory along the war also some platform configuration files p2articfact.xml and p2content.xml are created, and these files are not created in my case. So maybe I'm missing somthing from tycho configuration. Thanks a lot.
Re: Problem with RAP 1.5 App and Maven [message #1048233 is a reply to message #1047504] Wed, 24 April 2013 07:43 Go to previous message
Markus Knauer is currently offline Markus KnauerFriend
Messages: 111
Registered: July 2009
Senior Member

Since the components in the RAP Incubator project are in "incubation" phase, we are (unfortunately) not allowed to provide a release build of them. But with some luck, you should be able to use the old p2 repository http://download.eclipse.org/rt/rap/1.5/incubator/ that contains a RAP 1.5-compatible build that's being used by some other people out there. I hope that helps in your case.

On the other hand I'd suggest you to have a closer look into your Tycho build problems. One of my first steps would be to remove your local Maven repository (somewhere in a .m2/repository/ directory). There seems to be something broken with your dependencies.


--
Markus Knauer

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/

[Updated on: Wed, 24 April 2013 07:45]

Report message to a moderator

Previous Topic:Theming Button border when focused
Next Topic:WebBrowser control in C# can not display RAP applications due to error
Goto Forum:
  


Current Time: Sun Nov 23 17:29:06 GMT 2014

Powered by FUDForum. Page generated in 0.02188 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software